[build]
target = "thumbv8m.main-none-eabihf"
# target = "thumbv6m-none-eabi"

[env]
DEFMT_LOG = "debug"

# [target.thumbv6m-none-eabi]
[target.thumbv8m.main-none-eabihf]
# runner = 'probe-rs run --chip STM32G0B1RE'
runner = 'probe-rs run --chip STM32U585CI'
rustflags = [
	"-C", "link-arg=--nmagic",
	"-C", "link-arg=-Tlink.x",
	"-C", "link-arg=-Tdefmt.x",
]
